Preemptive RT on Jessie or Stretch?

More
26 May 2018 20:45 #111167 by bymccoy
I have a 2nd embedded IPC on the way, so I’ll try Stretch when I get it. Even with the graphics issues, I don’t dare update the other IPC, as it’s in stable production and working perfectly (minus the missing HD graphics and touchscreen driver).
More
27 May 2018 01:28 #111176 by AnnoyingMutt
If you are not stuck on a debian based distro, I have found Linuxcnc very easy to install on Salix-14.2 (slackware based so you know it's stable, not bleeding edge). It comes out very light weight and not a lot of excess stuff involved.

HOWTO starts here:
forum.linuxcnc.org/9-installing-linuxcnc...?limitstart=0#110708
More
28 May 2018 21:51 #111239 by tlightus
I recently installed 4.16.8 on Stretch using this script file: paste.debian.net/1026684/
Turns out on a J1900 it's much worse than the 4.9 preempt packaged with stretch, YMMV.
More
06 Jul 2018 22:40 #113612 by bymccoy
Have the IPC, and will be installing OS and LinuxCNC this coming week.

So, since last asking in May, has anybody else gotten Jessie/Stretch working?

Hoping to go vanilla with the Debian install, to make ongoing management and updating easier. As mentioned, need Jessie or Stretch as the HDMI graphics drivers (can’t recall chipset but newer than Wheezy) don’t work (can’t detect the display or map the correct screen size/resolution). I can get the touchscreen working, but it of course doesn’t map with the GUI, and the desktop even scrolls when you go toward the bottom or sides! Really need Jessie or higher on the hardware.
More
06 Jul 2018 22:59 #113613 by AnnoyingMutt
The following user(s) said Thank You: bymccoy
More
07 Jul 2018 02:25 #113625 by tlightus
Thanks to JT here's an alternate method to get preempt rt on stretch

paste.ubuntu.com/p/jvDN76Pq7Z/
The following user(s) said Thank You: bymccoy
More
07 Jul 2018 03:13 #113627 by AnnoyingMutt

tlightus wrote: Thanks to JT here's an alternate method to get preempt rt on stretch

paste.ubuntu.com/p/jvDN76Pq7Z/


Yeah that's an abridged version of the one I linked to.
More
07 Jul 2018 03:24 #113629 by AnnoyingMutt
If you aren't averse to Linux Mint, the following link has some info on installing LCNC uspace on Mint-18.3

forum.linuxcnc.org/18-computer/34823-a-f...d-up?start=30#113557

A few posts down is a link to my google drive with the kernel & uspace packages.
forum.linuxcnc.org/18-computer/34823-a-f...d-up?start=30#113597
More
07 Jul 2018 09:08 #113651 by bymccoy
That’s great, thanks.

I think the last I’d read earlier this year, there was no RT compiled kernel, and there were issues with the code base, hence sticking with Wheezy. But looks like the RT kernel is now back...

Will give it a shot and see how I get on. I was genuinely expecting a lot of screwing about to get it installed, rather than just installing the RT kernel and the uspace :)
More
07 Jul 2018 09:59 - 07 Jul 2018 14:32 #113653 by AnnoyingMutt
I an hour & half to 2 hours I'll have finished uploading a remastered Linux Mint iso with PREEMPT kernel and linuxcnc pre-installed.

If you are interested send me a message and I can give you the link.

Note that is a neither an official Mint or Linuxcnc distro.


SHARING HAS BEEN REMOVED, FILES ARE NO LONGER AVAILABLE
Last edit: 07 Jul 2018 14:32 by AnnoyingMutt.
Time to create page: 0.085 seconds
Powered by Kunena Forum